<?php
//Fichiers principaux
$path = $_SERVER['DOCUMENT_ROOT'];
include_once $path . 'common.php';
include_once $path . '/plugin/plan/Model_plan.php';
include_once $path . '/Model_adm.php';

$arr = Model_esia::getWebPlugin($dbconnection,false,'WEBP_PLAN');
$plugin_url = $arr[0]['apache_path'];

$page_url = "$plugin_url/".$arr[0]['index_page'];
$template_path= $path.$plugin_url.'templates/';

//NAVBAR
$navbar->addElement($lang[$arr[0]['name']],$page_url,$arr[0]['icon']);
$errors = array();

if(isset($_GET['action']))
{
	$action = $_GET['action'];
	$smarty->assign('action',$action);
	$nameCharToReplace = array(' ', '.', '"');

	if($action == 'getObjectInfo')
	{
		$obj = Model_plan::getObject($dbconnection,$_GET['object']); //1 = type link dans DB
		$obj['params'] =json_decode($obj['params'],true);
		$ressources = array();

		if(isset($obj['params']['nodes']) && !empty($obj['params']['nodes']))
		{
			$nodes = explode(",",$obj['params']['nodes']);
			if(count($nodes) == 1)
			{
				$nde = $nodes[0];
				//foreach($nodes as $kn => $nde)
				//{
						$services = Model_esia::getServices($dbconnection,$nde,null);
						foreach($services as $k => $service)
						{
							if($service['device_type'] == 'server')
							{
								if(strpos($service['check_plugin_name'],'LOAD')!== false || strpos($service['check_plugin_name'],'MEM')!== false)
								{
									$color = "#83bc00";
									if($service['real_state'] == 2) $color = "#da002e";
									elseif($service['real_state'] == 1) $color = "#ffcb1f";
									elseif($service['real_state'] == 3) $color = "#575759";

									$ressources[] = array('name' => $service['check_plugin_name'],
															'value' => $service['value'],
															'state' => $service['real_state'],
															'color' => $color
													);
								}
								elseif (strpos($service['check_plugin_name'],'ENV')!== false)
								{
									$color = "#83bc00";
									if($service['real_state'] == 2) $color = "#da002e";
									elseif($service['real_state'] == 1) $color = "#ffcb1f";
									elseif($service['real_state'] == 3) $color = "#575759";

									$ressources[] = array('name' => $service['check_plugin_name'],
											'value' => $service['value'],
											'state' => $service['real_state'],
											'color' => $color
									);
								}

								//$nodes[$kn]['service'][$k]['name'] = Model_esia::getCommonName($lang,$service['name'],$service['check_plugin_name']);
							}
						}
				//}
			}
		}
		echo json_encode($ressources);
		exit(0);
	}
	elseif($action == 'addObjectOnPlan')
	{
		if(isset($_POST['newObj']) && !empty($_POST['newObj']))
		{
			$obj = $_POST['newObj'];
			$object = json_decode($obj);
			$object->name = trim($object->name);
			$object->name = str_replace($nameCharToReplace, '_', $object->name);
			try{
				$newObjId = Model_plan::addObjectPlan($dbconnection,$_REQUEST['currentPlan'],$object->name,$object->type,$object->icon,json_encode($object->params));

			}catch(Exception $e)
			{
				echo "ERROR : ".$e."</br>";
				exit(0);
			}
		}
		echo "id-$newObjId";
		exit(0);
	}
	elseif($action == 'delObjAndLinks')
	{
		$plan = $_GET['plan'];
		$id = $_GET['obj'];
		$typeIdName = $_GET['typeIdName'];

		$obj = Model_plan::deleteObject($dbconnection,$id);

		if($obj)
		{
			//Supprimer les liens qui appartenaient à cet objet
			Model_plan::deleteObjLinkOnPlan($dbconnection,$typeIdName,$plan);
			echo json_encode($obj);
		}
		else echo json_encode(null);
		exit(0);
	}
	elseif($action == 'delObj')
	{
		$obj = $_GET['obj'];
		$obj = Model_plan::deleteObject($dbconnection,$obj);

		if($obj) echo json_encode($obj);
		else echo json_encode(null);
		exit(0);
	}
	elseif($action == 'updElemObject')
	{
		$object = $_GET['id'];
		$obj = Model_plan::getObject($dbconnection,$_GET['id']); //1 = type link dans DB
		$obj['params'] =json_decode($obj['params'],true);

		$nodes="";
		$groups="";

		if(isset($_POST['element']) && !empty($_POST['element']))
		{
			foreach($_POST['element'] as $elem)
			{
				if(strpos($elem['id'], 'groupNode') !== false)
				{
					$group = explode("-",$elem['id'])[1];
					if(!empty($group)) $groups .= $group.',';
				}
				else //node
				{
					$node = explode("-",$elem['id'])[1];
					if(!empty($node)) $nodes .= $node.',';
				}
			}
			//Enlever la virgule à la fin si présente
			if(substr($groups, -1) == ',') $groups = substr($groups, 0, -1);
			if(substr($nodes, -1) == ',') $nodes = substr($nodes, 0, -1);

			if(!empty($nodes))
			{
				if(isset($obj['params']['nodes']))
				{
					if(empty($obj['params']['nodes']))
					{
						$obj['params']['nodes'] = $nodes;
					}
					else
					{
						$obj['params']['nodes'] .= ",".$nodes;
					}
				}
				else
				{
					$obj['params']['nodes'] = $nodes;
				}
			}

			if(!empty($groups))
			{
				if(isset($obj['params']['groups']))
				{
					if(empty($obj['params']['groups']))
					{
						$obj['params']['groups'] = $groups;
					}
					else
					{
						$obj['params']['groups'] .= ",".$groups;
					}
				}
				else
				{
					$obj['params']['groups'] = $groups;
				}
			}
		}
		$obj['icon_id']=$_POST['iconObj'];

		if(isset($_POST['selectPlan']) && !empty($_POST['selectPlan']))
		{
			if($_POST['selectPlan'] != "-1") $obj['link'] = $_POST['selectPlan'];
			else $obj['link'] = null;
		}

		if(isset($_POST['objName']) && !empty($_POST['objName']))
		{
			$obj['name'] = trim($_POST['objName']);
			$obj['name'] = str_replace($nameCharToReplace, '_', $obj['name']);
		}
		if(isset($_POST['objNotstate']))
		{
		    $obj['params']['getstate'] = 'no';
		}
		else
		{
		    $obj['params']['getstate'] = 'yes';
		}
		$params = json_encode($obj['params']);

		try{
			$idUpd = Model_plan::updateObject($dbconnection,$_GET['id'],$obj['plan_id'],$obj['name'],$obj['type'],$obj['icon_id'],$params,$obj['link']);
		}catch(Exception $e)
		{
			$errors[] = "ERROR update : " . $e;
		}

		if (isset($errors) && !empty($errors))
		{
			$smarty->assign('error_messages', $errors);
		}
		else
		{
			$smarty->assign('success_message',$lang['PLAN_UPDATE_OBJECT']);
		}

		$action='confObj';
		$smarty->assign('action',$action);
	}
	elseif($action == 'update')
	{
		if(isset($_GET['type']) && $_GET['type']=='resize')
		{
			$obj = Model_plan::getObject($dbconnection,$_GET['object']); //1 = type link dans DB
			$obj['params'] =json_decode($obj['params'],true);
			$obj['params']['size']['width'] = $_GET['width'];
			$obj['params']['size']['height'] = $_GET['height'];
			$params = json_encode($obj['params']);

			try{
				$idUpd = Model_plan::updateObject($dbconnection,$_GET['object'],$obj['plan_id'],$obj['name'],$obj['type'],$obj['icon_id'],$params,$obj['link']);
			}catch(Exception $e)
			{
				echo json_encode("ERROR update : ".$e."</br>");
				exit(0);
			}

			if($idUpd) echo json_encode(null);
			else echo json_encode("Nothing updated");
			exit(0);
		}
		elseif(isset($_GET['type']) && $_GET['type']=='redrag')
		{
			$obj = Model_plan::getObject($dbconnection,$_GET['object']); //1 = type link dans DB
			$obj['params'] =json_decode($obj['params'],true);
			$obj['params']['position']['x'] = intval($_GET['left']);
			$obj['params']['position']['y'] = intval($_GET['top']);
			$params = json_encode($obj['params']);

			try{
				$idUpd = Model_plan::updateObject($dbconnection,$_GET['object'],$obj['plan_id'],$obj['name'],$obj['type'],$obj['icon_id'],$params,$obj['link']);
			}catch(Exception $e)
			{
				echo json_encode("ERROR update : ".$e."</br>");
				exit(0);
			}

			if($idUpd) echo json_encode(null);
			else echo json_encode("Nothing updated");
			exit(0);
		}
	}
	elseif($action=='delElemObj')
	{
		$id = $_GET['id'];

		$object = Model_plan::getObject($dbconnection,$id);
		$smarty->assign('object',$object);
		$object['params'] = json_decode($object['params'],true);

		if(isset($_GET['NODE']) && !empty($_GET['NODE']))
		{
			$node = $_GET['NODE'];
			$nodes = explode(",",$object['params']['nodes']);

			$newNodes = "";
			foreach($nodes as $key=>$nde)
			{
				if($nde != $node)
				{
					$newNodes .= $nde.",";
				}
			}

			if(substr($newNodes, -1) == ',') $newNodes = substr($newNodes, 0, -1);
			$object['params']['nodes'] = $newNodes;
		}
		elseif(isset($_GET['GROUP']) && !empty($_GET['GROUP']))
		{
			$group = $_GET['GROUP'];
			$groups = explode(",",$object['params']['groups']);

			$newGroups = "";
			foreach($groups as $key=>$gpe)
			{
				if($gpe != $group)
				{
					$newGroups .= $gpe.",";
				}
			}

			if(substr($newGroups, -1) == ',') $newGroups = substr($newGroups, 0, -1);
			$object['params']['groups'] = $newGroups;
		}

		$params = json_encode($object['params']);

		try{
			$idUpd = Model_plan::updateObject($dbconnection,$id,$object['plan_id'],$object['name'],$object['type'],$object['icon_id'],$params,$object['link']);
		}catch(Exception $e)
		{
			$errors[] = "ERROR delete node/group : " . $e;
		}

		if(isset($errors) && !empty($errors)) $smarty->assign('error_messages',$errors);
		elseif(!empty($node)) $smarty->assign('success_message',$lang['PLAN_DELETE_NODE_OBJECT']);
		elseif(!empty($group)) $smarty->assign('success_message',$lang['PLAN_DELETE_GROUP_OBJECT']);
		$action='confObj';
		$smarty->assign('action',$action);
	}

	if($action == 'confObj')
	{
		$id = $_GET['id'];
		$plans = Model_plan::getPlan($dbconnection);
		$listplan = array();
		foreach ($plans as $plan)
		{
			if($plan['name'] != '.ACCESS')
			{
				$listplan[] = array(
					'id'=> $plan['id'],
					'name'=>$plan['name'],
				);
			}
		}
		$smarty->assign('plans',$listplan);
		$icons = Model_plan::getIconByGroups($dbconnection);
		$smarty->assign('icons',$icons);
		$object = Model_plan::getObject($dbconnection,$id);
		$smarty->assign('object',$object);
		$object['params'] = json_decode($object['params'],true);
		$smarty->assign('obj_getState',$object['params']['getstate']);
		$smarty->assign('onplan',$object['plan_id']);
		$smarty->assign('linked',$object['link']);

		if(isset($object['params']['nodes']) && !empty($object['params']['nodes']))
		{
			$nodes = explode(",",$object['params']['nodes']);
			if(isset($nodes[0]) && !empty($nodes[0]))
			{
				foreach($nodes as $node)
				{
					$dev = Model_esia::InstanceNode($dbconnection,$node);
					$elements[]=array(
							'id'=> $dev->getId(),
							'type' => 'NODE',
							'name' => $dev->getName()
					);
				}
			}
		}

		if(isset($object['params']['groups']) && !empty($object['params']['groups']))
		{
			$groups = explode(",",$object['params']['groups']);
			if(isset($groups[0]) && !empty($groups[0]))
			{
				foreach($groups as $group)
				{
					try{
						$gr = Model_adm::getGroupNode($dbconnection,intval($group));
					}catch(Exception $e)
					{
						echo "ERROR : ".$e."</br>";
					}
					$elements[]=array(
							'id'=>$gr[0]['id'],
							'type' => 'GROUP',
							'name' => $gr[0]['name']
					);
				}
			}
		}

		$smarty->assign('elements', $elements);

		//Récupération des noeuds
		$nodes = Model_esia::getNodeList($dbconnection,$user->getId(),null,Model_esia::NODE_ASSOC);
		$list = array();
		foreach($nodes as $node)
		{
			$list[] = array('id'=>$node['id'],'name'=> $node['name']);
		}
		$smarty->assign('adm_list_node', $list);

		// Récupération des groupes
		$list = Model_esia::getNodeGroupHierarchyByUser($dbconnection,$user->getId());
		if(isset($_GET['from']) && !empty($_GET['from'])) $smarty->assign('from', $_GET['from']);
		$smarty->assign('adm_list_group', $list);
		$smarty->display($template_path.'plan_image.html');
	}
}
?>
