function iconsMenu()
{
    // On cache les sous-menus :
    $(".navigation ul.subMenu").hide();

    //On ouvre le premier volet
    $(".navigation li.toggleSubMenu:first-child ul.subMenu").slideDown("normal", function () { $(".navigation li.toggleSubMenu:first-child ul.subMenu").parent().addClass("open") });

    // On sélectionne tous les items de liste portant la classe "toggleSubMenu"
    // et on remplace l'élément span qu'ils contiennent par un lien :
    $(".navigation li.toggleSubMenu span").each( function () {
        $(this).replaceWith('<a href="">' + $(this).text() + '<\/a>') ;
    });

    // On modifie l'évènement "click" sur les liens dans les items de liste
    // qui portent la classe "toggleSubMenu" :
    $(".navigation li.toggleSubMenu > a").click( function () {
        // Si le sous-menu était déjà ouvert, on le referme :
        if ($(this).next("ul.subMenu:visible").length != 0) {
            $(this).next("ul.subMenu").slideUp("normal", function () { $(this).parent().removeClass("open") });
        }
        // Si le sous-menu est caché, on ferme les autres et on l'affiche :
        else {
            $(".navigation ul.subMenu").slideUp("normal", function () { $(this).parent().removeClass("open") });
            $(this).next("ul.subMenu").slideDown("normal", function () { $(this).parent().addClass("open") });
        }
        // On empêche le navigateur de suivre le lien :
        return false;
    });
}


function adm_setJsPlumb()
{
	var plan = $('#currentPlan').data("id");
	var idPlan = document.getElementById("plan"+plan);
	$.getJSON( "/plugin/plan/controllers/link_control.php?action=getLinkObjects&plan="+plan, function( data ) {
		if(data)
		{
			$.each( data, function( key, val){
				var services = val.params.service.split(",");
				createLink(val.params.source,val.params.target,val.id,val.params.number);
			});
		}
	});
}

function adm_setObjectOnPlan(id,name,description,src,y,x,width,imgid,type)
{
	var img;
	img = document.createElement("img");
	div = document.createElement("div");
	div.setAttribute("class","planObj aImg");
	img.setAttribute("src",src);
	div.setAttribute("title",name);
	div.setAttribute("data-id",id);
	div.setAttribute("data-type",type);
	//div.setAttribute("data-img",imgid);
	img.setAttribute("type","image/svg+xml");
	div.setAttribute("id",imgid);
	div.style.position = "absolute";
	div.style.display ="inline";
	div.style.top=y+"px";
	div.style.left=x+"px";
	div.style.zIndex = 1;
	div.style.width=width+"px";

	$("#plan").append(div);
	$("#"+imgid).append(img);
    dragExistantObject($(div));
}

function clickImgPlan(img)
{
	if(click==2)
	{
		var objTar=img.parent().attr("id");

		$('.imgOption').append('<li class="acceptUpdate newLink"></li><li class="refuseUpdate newLink"></li>');
		$('.delImg, .redimImg, .modImg, .linkImg, .closeImg, p').hide();

		$('.refuseUpdate.newLink').click(function() {
			$('.infos').remove();
			jsp.remove(srctar);
			click=0;
		});
		$('.acceptUpdate.newLink').click(function() {
			$('.infos').remove();
			plan_id = $('#currentPlan').data("id");

			if(objSrc !== objTar)
			{
				//Requête JSON pour enregistrer le lien dans la DB
				$.getJSON( "/plugin/plan/controllers/link_control.php?action=setLinkOnPlan&plan="+plan_id+"&src="+objSrc+"&tar="+objTar, function( data ) {
					if(!data) //si on nous renvoie pas l'identifiant du nouvel objet, on annule la connection
					{
						jsp.remove(srctar);
					}
					else
					{
						createLink(objSrc,objTar,data);
					}
				});
			}
			click=0;
		});
	}
	else if(click==0)
	{
		click++;
		if($("#plan .aImg").find('.acceptResize').length != 0)
		{
			$("#plan .aImg:has('.acceptResize')").height(previousHeight);
			$("#plan .aImg:has('.acceptResize')").width(previousWidth);
			$("#plan .aImg:has('.acceptResize')").resizable("destroy");
		}
		if($("#infos").length == 0)
		{
			//$("#infos").remove();
			img.parent().append("<div id='infos' class='infos'></div>");
			//console.log($(this).parent().data("type"));
			idModif = img.parent().data("id");

			if(img.parent().data("type") != "1")
			{
				$('.infos').append('<ul class="imgOption"><li title="'+lang['PLAN_MODIFY']+'" class="modImg" onclick="Adm.openDialog(\'/plugin/plan/controllers/object_control.php?action=confObj&id='+idModif+'\',\'Container\',false,\'dialog-info\',1000,800,true);"></li><li title="'+lang['PLAN_LINK']+'" class="linkImg"></li><li title="'+lang['PLAN_RESIZE']+'" class="redimImg"></li><li title="'+lang['PLAN_DELETE']+'" class="delImg"></li><li title="'+lang['PLAN_CLOSE']+'" class="closeImg"></li></ul>');
			}
			else
			{
				$('.infos').append('<ul class="imgOption"><li class="linkImg"></li><li title="'+lang['PLAN_RESIZE']+'" class="redimImg"></li><li title="'+lang['PLAN_DELETE']+'" class="delImg"></li></ul>');
			}

			objEvents();
		}
		else
		{
			//$(this).parent().css("z-index","1");
			//$("#infos").remove();
			click=0;
		}
	}
}

function objEvents()
{
	//Suppression d'un objet
	$('.delImg').click(function(){
		$('.imgOption').append('<li class="acceptUpdate delObj"></li><li class="refuseUpdate delObj"></li>');
		$('.delImg, .redimImg, .modImg, .linkImg, .closeImg').hide();

		$('.refuseUpdate.delObj').click(function() {
			$('.delImg, .redimImg, .modImg, .linkImg, .closeImg').show();
			$('.acceptUpdate.delObj, .refuseUpdate.delObj').hide();
			click=0;
		});

		$('.acceptUpdate.delObj').click(function() {
			plan_id = $('#currentPlan').data("id");
			objId = $(this).parent().parent().parent().attr('title');
			elem = $(this).parent().parent().parent();
			//Requête JSON pour supprimer dans la DB
			$.getJSON("/plugin/plan/controllers/object_control.php?action=delObjAndLinks&plan="+plan_id+"&obj="+elem.attr("data-id")+"&typeIdName="+elem.attr("id"), function( data ) {
				if(data) //si on nous renvoie pas l'identifiant du nouvel objet, on annule la connection
				{
					jsp.remove(elem.attr("id"));
					elem.remove();
					$('.infos').remove();
				}
			});

			var toDelete = jsp.getConnections({source:elem.attr("id")});

			$.each( toDelete, function( key, value )
			{
				if(toDelete[key].endpoints[0].elementId == elem.attr("id")) jsp.remove(toDelete[key].endpoints[1].elementId);
				else jsp.remove(toDelete[key].endpoints[0].elementId);
			});

			click=0;
		});
	});

	//Identification de la source de la création d'un lien
	$('.linkImg').click(function(){
		objSrc=$(this).parent().parent().parent().attr("id");
		$('.imgOption').append('<p>'+lang['PLAN_CLICK_LINK_ELEM']+'</p>');
		$('.delImg, .redimImg, .modImg, .linkImg, .closeImg').hide();
		click++;
	});

	//Redimension d'une image
	$('.redimImg').click(function(){

		var container = $(this);

		previousHeight = $(this).parent().parent().parent().height();
		previousWidth = $(this).parent().parent().parent().width();
		$('.imgOption').append('<li class="acceptResize"></li><li class="refuseResize"></li>');
		$('.delImg, .redimImg, .modImg, .linkImg, .closeImg').hide();

		container.parent().parent().parent().resizable({
            aspectRatio: true,
            stop: function(e,ui) {
                // console.log(ui.helper.height());
            }
        });

		$('.refuseResize').click(function() {
			$('.delImg, .redimImg, .modImg, .linkImg, .closeImg').show();
			$('.acceptResize, .refuseResize').hide();
			container.parent().parent().parent().height(previousHeight);
			container.parent().parent().parent().width(previousWidth);
			container.parent().parent().parent().resizable("destroy");
		});
		$('.acceptResize').click(function() {
			$('.delImg, .redimImg, .modImg, .linkImg, .closeImg').show();
			$('.acceptResize, .refuseResize').hide();
            container.parent().parent().parent().resizable("destroy");

			newHeight = container.parent().parent().parent().height();
			newWidth = container.parent().parent().parent().width();

			var idSelected = container.parent().parent().parent().attr('data-id');

			$.getJSON( "/plugin/plan/controllers/object_control.php?action=update&type=resize&object="+idSelected+"&height="+newHeight+"&width="+newWidth, function( data ) {
				if(data)
				{
					$.each( data, function( key, val){
						alert(val);
					});
				}
			});
			//$('.infos').remove();
			click=0;
		});
	});

	$('.closeImg').click(function() {
		$(this).parent().css("z-index","1");
		$("#plan .aImg .infos").remove();
		click=0;
	});
}

function createLink(objSrc,objTar,id,number)
{
	if(!number) number=1;
	var linkSpace = 10;
	for (i = 0; i < number; i++) {
		var source = document.getElementById(objSrc);
		var target = document.getElementById(objTar);

		var sourceJQ = $("#" + objSrc),
			targetJQ = $("#" + objSrc);

		var xSource = source.offsetLeft, ySource = source.offsetTop;
		var xTarget = target.offsetLeft, yTarget = target.offsetTop;

		if(xSource > xTarget) xSource += sourceJQ.outerWidth();
		else xSource += targetJQ.outerWidth();

		if(ySource > yTarget) ySource += sourceJQ.outerHeight();
		else ySource += targetJQ.outerHeight();

		var xMid = ((xSource + xTarget) / 2);
		var yMid= ((ySource + yTarget) / 2);

		if(number > 1) //Si plus d'un lien
		{
			if ( i % 2 == 0 ) //Nombre pair
			{
				xMid -= linkSpace*(i+1);
				yMid -= linkSpace*(i+1);
			}
			else //Nombre impair
			{
				xMid += linkSpace*(i+1);
				yMid += linkSpace*(i+1);
			}
		}

		var srctar = source.id+"-"+target.id;

		var srcDataId = $('#'+source.id).attr('data-id');
		var tarDataId = $('#'+target.id).attr('data-id');

	    div = document.createElement("div");
	    div.setAttribute("id",srctar+i);
	    div.setAttribute("data-srcId",srcDataId);
	    div.setAttribute("data-id",id);
	    div.setAttribute("data-tarId",tarDataId);
	    div.style.position = "absolute";
	    div.style.display ="inline";
	    div.style.top=yMid+"px";
	    div.style.left=xMid+"px";
	    div.style.zIndex = 1;
	    div.style.width="0px";
	    div.style.height="0px";
	    plan = document.getElementById("plan");
	    plan.appendChild(div);

		var myConSrc = jsp.connect({
			source:objSrc,
			target:srctar+i,
			anchor: ["Continuous", { faces:[ "top", "left","right","bottom" ] } ],
			connector: [ "Straight"],
			endpoint : [ "Dot", { radius:1 }],
			endpointStyle:{ fill:'#000000'},
			paintStyle:{ strokeWidth:4, stroke:'#000000'},
			overlays:[["Arrow",{width:15,length:15,location:0.5}]],
			detachable: true
		});

		myConSrc.bind("click", function(conn) {
			if($('#infos').length == 0)
			{
				//$("#infos").remove();
				click=0;
				$('#'+myConTar.targetId).append("<div id='infos' class='infos'></div>");
				var getLink = '/plugin/plan/controllers/link_control.php?action=confLink&id='+id+'&src='+srcDataId+'&tar='+tarDataId;
				var openDialog = "'"+getLink+"'"+",'"+lang['PLAN_LINK']+"',null,'linkdialog',1000,750,true";
				$('#infos').append('<ul class="imgOption"><li title="'+lang['PLAN_MODIFY']+'" class="modImg" onclick="Adm.openDialog('+openDialog+');"</li><li title="'+lang['PLAN_DELETE']+'" class="delImg"></li><li title="'+lang['PLAN_CLOSE']+'" class="closeImg"></li></ul>');
				linkEvents($('#'+myConSrc.targetId));
			}
		});

		var myConTar = jsp.connect({
			source:objTar,
			target:srctar+i,
			anchor: ["Continuous", { faces:[ "top", "left","right","bottom" ] } ],
			connector: [ "Straight"],
			endpoint : [ "Dot", { radius:1 }],
			endpointStyle:{ fill:'#000000'},
			paintStyle:{ strokeWidth:4, stroke:'#000000'},
			overlays:[["Arrow",{width:15,length:15,location:0.5}]],
		});

		myConTar.bind("click", function(conn) {
			if($('#infos').length == 0)
			{
				//$("#infos").remove();
				click=0;
				$('#'+myConTar.targetId).append("<div id='infos' class='infos'></div>");
				var getLink = '/plugin/plan/controllers/link_control.php?action=confLink&id='+id+'&src='+srcDataId+'&tar='+tarDataId;
				var openDialog = "'"+getLink+"'"+",'"+lang['PLAN_LINK']+"',null,'linkdialog',1000,750,true";
				$('#infos').append('<ul class="imgOption"><li title="'+lang['PLAN_MODIFY']+'" class="modImg" onclick="Adm.openDialog('+openDialog+');"</li><li title="'+lang['PLAN_DELETE']+'" class="delImg"></li><li title="'+lang['PLAN_CLOSE']+'" class="closeImg"></li></ul>');
				linkEvents($('#'+myConTar.targetId));
			}
		});

	    jsp.draggable(source, {
          containment:$('#plan'),
          filter: ".ui-resizable-handle"
        });
        jsp.draggable(target, {
          containment:$('#plan'),
          filter: ".ui-resizable-handle"
        });
	}
}

function linkEvents(elem)
{
	$('.closeImg').click(function() {
		$("#infos").remove();
		click=0;
	});

	$('.delImg').click(function() {
        //Requête JSON pour supprimer dans la DB
        $.getJSON( "/plugin/plan/controllers/object_control.php?action=delObj&obj="+elem.attr("data-id"), function( data ) {
            if(data) //si on nous renvoie pas l'identifiant du nouvel objet, on annule la connection
            {
                var toDelete = jsp.getConnections({target:elem.attr("id")});
                $.each( toDelete, function( key, value )
                {
                    jsp.remove(toDelete[0].targetId);
                });
                $('#infos').remove();
            }
        });

		click=0;
	});
}

function updateElemInObject(obj,lang)
{
	number=0;
	$.each( inputs, function( key, value ) {
	  node_options += '<option value="node-'+value.id+'">'+value.name+'</option>';
	});
	$.each( input_groups, function( key, value ) {
		group_options += '<option value="groupNode-'+value.id+'">'+value.name+'</option>';
	});
	var options;
	var select;

	$("input[name='type']").click(function() {
		if($(this).attr('id') == 'groupNode')
		{
			options = group_options;
			select = lang['DASHBOARD_SELECT_ONE_GROUP_NODE'];
		}
		else if($(this).attr('id') == 'node')
		{
			options = node_options;
			select = lang['DASHBOARD_RRD_SELECT_NODE'];
		}

		html = '<div class="inputElem"><label>'+select+'</label><select class="chosen" name="element['+number+'][id]"><option id=""></option>'+options+'</select></div></div>';
		$('#elems').append(html);
		$(".chosen").chosen({search_contains:true});
		number++;
	});
}

function updateElemInLink(obj,lang)
{
	number=0;
	$.each( inputs, function( key, value ) {
	  node_options += '<option value="node-'+value.id+'">'+value.name+'</option>';
	});
	var options;
	var select;
	$("input[name='type']").click(function() {
		if($(this).attr('id') == 'service')
		{
			options = node_options;
			select = lang['DASHBOARD_RRD_SELECT_SERVICE'];
			change= 'yesChange';
		}

		html = '<div class="margBott" value=""></div>' +
			'<div class="tableview padMore" value=""><input type="hidden" id="typeElement" name="element['+number+'][type]" value="service">' +
			'<div class="anInput" value=""><label>'+lang['DASHBOARD_RRD_SELECT_NODE']+'</label><select class="chosen yesChange" name="element['+number+'][id]" yesChange><option id=""></option>'+node_options+'</select></div>';

		html += '<div class="anInput"><label>'+select+'</label><select id="selectservices" class="chosen" name="element['+number+'][id]"></select></div></div>';
		$('#elems').append(html);
		$(".chosen").chosen({search_contains:true});
		number++;
	});

	$(document).on("change",".yesChange", setServices);

	function setServices() {
		var val = $(this).val().split('-')[1];
		myInput = $(this);
		$.getJSON("/plugin/plan/controllers/link_control.php?action=getservice&nodeid="+val, function(data){
			myInput.parent().next().find("#selectservices").empty();
			myInput.parent().next().find("#selectservices").prop('disabled',false);
			$.each( data, function( key, val )
			{
				myInput.parent().next().find("#selectservices").append("<option value='"+key+"'>"+val+"</option>");
			});
			myInput.parent().next().find("#selectservices").trigger("chosen:updated");
		});
	}
}

function sendNewObject(newObj, tmpObj) {
    var postObj = JSON.stringify(newObj);

    $.ajax({
        type: "POST",
        url: "/plugin/plan/controllers/object_control.php?action=addObjectOnPlan&currentPlan=" + $("#currentPlan").data("id"),
        data: {newObj: postObj},
        dataType: "html"
    })
    .done(function(data) {
        if (data.indexOf("id-") >= 0) {
            var id = data.split("-")[1];

            tmpObj.attr("id", newObj.type + id + "object");
            $("#" + newObj.type + id + "object").attr("data-id", id);
            if (newObj.type != 5) {
                $("#" + newObj.type + id + "object").attr("title", newObj.name);
            }

            dragExistantObject(tmpObj);
        } else if (data.indexOf("ERROR") >= 0) {
            alert(data);
            tmpObj.remove();
        }
    })
    .fail(function(jqXHR, msg) {
          alert("Request Error: " + msg);
          tmpObj.remove();
    });
}

function dragNewObject()
{
	$('.imgAvailable .imgMove').draggable({
	    helper: "clone",
		containment:$('#plan'),
		stop: function(e,ui) {
			//var idIcn = $(this).attr('data-id');
			//var objType = $(this).attr('data-type');
                console.log("position"+ ui.position.top+" "+ui.position.right+" "+ui.offset.right);
			var idIcn = $(this).attr('id').split('-')[1],
                objType = 3,
                src = $('img', this).attr('src'),
                y = ui.offset.top - $("#plan").offset().top + $("#plan").scrollTop(), // Cursor position from the top of the page - plan position from the top of the page + scroll position inside the plan (if scroll enable)
                x = ui.offset.left - $("#plan").offset().left + $("#plan").scrollLeft(),
                tmpObj = {};

			count++;
			adm_setObjectOnPlan(idIcn,'tmp','tmp',src,y,x,50,'tmp-'+count,objType);

            tmpObj = $('#tmp-'+count);
			tmpObj.append("<div id='newObjInfo' class='newObjInfo'></div>");
			$('#newObjInfo', tmpObj).append('<input id="objName" type="text" name="objName" placeholder="'+lang['PLAN_GIVE_NAME']+'"></br><div><li class="acceptName"></li><li class="refuseName"></li></div>');

			$('.refuseName', tmpObj).click(function() {
				tmpObj.remove();
			});
			$('.acceptName', tmpObj).click(function() {
                var newName = $.trim($('#objName', tmpObj).val()).replace(/\s|\.|\"/g, "_");
				//$('#newObjInfo').hide();
				if(!newName)
				{
					//alert(lang['PLAN_PLEASE_GIVE_NAME']);
					$('#objName', tmpObj).attr("style","border: 1px solid red;z-index:1");
				}
				else
				{
					var position = {
							x: x,
							y: y,
							z: 1
					},
                    size = {
							width: 50,
							height: tmpObj.height()
					},
                    params = {
							position: position,
							size: size
					},
                    newObj = {
							name: newName,
							type: objType,
							icon: idIcn,
							params: params
					}

                    sendNewObject(newObj, tmpObj);

                    $('#newObjInfo', tmpObj).remove();
				}
			});
		}
	});
}

function dragExistantObject(object)
{
	object.draggable({
        containment: $('#plan'),
		start: function(e,ui) {
			if(object.find(".infos").length == 0)
			{
				oldY = ui.position.top;
				oldX = ui.position.left;
			}
		},
		stop: function(e,ui) {
			srcId = $(this).attr('id');
			objId = $(this).attr('data-id');

			var y = ui.position.top;
			var x = ui.position.left;

			$.getJSON( "/plugin/plan/controllers/object_control.php?action=update&type=redrag&object="+objId+"&left="+x+"&top="+y, function( data ) {
				if(data) //Message d'erreur
				{
					$.each( data, function( key, val){
						alert(val);
					});
				}
				else
				{
					var toDelete = jsp.getConnections({source:srcId});
					$.each( toDelete, function( key, value )
					{
						//console.log(toDelete);
						middle = value.targetId;
						middleConnections = jsp.getConnections({target:middle});
						var linkId = $('#' + middle).attr('data-id');
						if(middleConnections[0].sourceId && middleConnections[0].sourceId != srcId) objTar = middleConnections[0].sourceId;
						else objTar = middleConnections[1].sourceId;
						jsp.remove(middle);
						createLink(srcId,objTar,linkId);
					});
				}
			});
		},
	});
}
