<?php

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}
$lang = array_merge($lang, array(
		'WEBP_PLAN' => 'Plans',
		'PLAN_PLANS' => 'Plans',
		'PLAN_PLAN' => 'Plan',
		'PLAN_ICONS' => 'Icônes',
		'PLAN_ICON' => 'Icône',
		'PLAN_LINK' => 'Lier',
		'PLAN_IMAGE' => 'Images de fond',
		'PLAN_UPL_IMG' => 'Charger nouvelle image',
		'PLAN_HELP_IMG' => 'Ctrl + Click : Ouvre le détail des éléments liés à l\'objet</br>Click : Ouvre un plan lié à l\'objet',
		'PLAN_HELP_RACK' => 'Aide',
		'PLAN_UPDATE_OBJECT' => 'Objet mis à jour',
		'PLAN_UPDATE_LINK' => 'Lien mis à jour',
		'PLAN_DELETE_SERVICE_LINK' => 'Suppression du service lié réussie',
		'PLAN_DELETE_NODE_OBJECT' =>'Suppression du noeud lié réussie',
		'PLAN_DELETE_GROUP_OBJECT' =>'Suppression du groupe lié réussie',
		'PLAN_LINKED_SERVICES' => 'Services liés',
		'PLAN_ONLY_TWO_SERVICES' => 'Vous pouvez lier 2 services maximum sur un lien',
		'PLAN_RESIZE' => 'Redimensionner',
		'PLAN_DELETE' => 'Supprimer',
		'PLAN_DELETE_VALIDATE' => 'Valider la suppression',
		'PLAN_DELETE_ABORT' => 'Annuler la suppression',
		'PLAN_CLOSE' => 'Fermer',
		'PLAN_MODIFY' => 'Modifier',
		'PLAN_MODIFY_VALIDATE' => 'Valider les modifications',
		'PLAN_MODIFY_ABORT' => 'Annuler les modifications',
		'PLAN_CLICK_LINK_ELEM' => 'Cliquez sur l\'élément à lier',
		'PLAN_GIVE_NAME' => 'Donnez un nom',
		'PLAN_PLEASE_GIVE_NAME' => 'Veuillez donner un nom',
		'PLAN_UPD_OK'=>'Plan modifié avec succes',
		'PLAN_DEL_IMG'=>'Supprimer image',
		'PLAN_DELETE_IMAGE_TEXT'=>'Image supprimée avec succes',
		'PLAN_LINKED_ELEMENTS' => 'Eléments liés',
		'PLAN_NO_LINKED_ELEMENT' => 'Aucun élément lié à cet objet',
		'PLAN_UPLOAD' => 'Charger',
		'PLAN_DELETE_IMAGE'=>'Voulez-vous supprimer l\'image ?',
		'PLAN_IMPORT_LOGO'=>'Importation de nouvelle images',
		'PLAN_ADD' => 'Ajouter un plan',
		'PLAN_ADD_SUCCES' => 'Plan créé avec succès',
		'PLAN_ADD_FAILED' => 'Le plan n\'a pas pu être ajouter',
		'PLAN_ADD_FAILED_USER_RIGHTS' => 'L\'utilisateur n\'a pas les autorisations requises',
		'PLAN_ADD_FAILED_MISSING_VAR' => 'Informations manquantes',
		'PLAN_DELETE_PLAN'=>'Voulez-vous vraiment supprimer ce plan et ses références ? </br>Tous les objets se trouvant sur le plan seront supprimés également',
		'PLAN_DELETE_SUCCESS'=> 'Plan supprimé avec succès',
		'PLAN_DELETE_FAILED'=> 'Le plan n\'a pas pu être supprimé',
		'PLAN_NEW_NAME_ICON'=>'Nouveau nom pour l\'icône',
		'PLAN_UPD_NAME_ICON'=>'Modifier le nom de l\'icône',
		'PLAN_NEW_PLAN'=>'Nouveau plan',
		'PLAN_UPD_ICON_OBJET'=>'Modifier icône',
		'PLAN_NO_PLAN_LINKED' => 'Aucun plan lié',
		'PLAN_LINK_PLAN' => 'Lier un plan',
		'PLAN_ADMIN_ICON' => 'Administration des icônes',
		'PLAN_UPLOAD_ONE_LOGO' => 'Charger une nouvelle icône',
		'PLAN_UPLOAD_FOUR_LOGOS' => 'Charger une icône par statut',
		'PLAN_INFO_FOUR_LOGOS' => 'Charger une image par statut (Ok - Alerte - Critique - Inconnu)',
		'PLAN_INFO_ONE_LOGO' => 'Charger une image qui aura le design par défaut pour son statut',
		'PLAN_SELECT_ICON_GROUP' => 'Sélectionner le groupe d\'icônes',
		'PLAN_GROUP_ADMIN' => 'Gestion des groupes d\'icônes',
		'PLAN_ADD_ICON_GROUP' => 'Ajouter un groupe d\'icônes',
		'PLAN_INFO_LOGO_ADM' => 'Cliquez sur l\'icône à modifier ou supprimer',
		'PLAN_ESIA_ICON_INFO' => 'Les icônes ESIA ne peuvent pas être modifiées ou supprimées',
		'PLAN_UPL_ONE_ICON_SUCCESS' => 'Icône chargée avec succès',
		'PLAN_UPL_FOUR_ICONS_SUCCESS' => 'Icônes chargées avec succès',
		'PLAN_SAME_EXTENSION' => 'Erreur, les fichiers doivent avoir la même extension',
		'PLAN_ADD_GROUP' => 'Ajouter un groupe',
		'PLAN_ADD_GROUP_SUCESS' => 'Groupe d\'icônes ajouté avec succès',
		'PLAN_UPD_GROUP' => 'Modifier groupe',
		'PLAN_UPD_GROUP_SUCESS' => 'Groupe d\'icônes modifié avec succès',
		'PLAN_NO_GROUP' => 'Pas de groupe',
		'PLAN_DEL_GROUP_INFO' => 'Etes-vous sûr de supprimer le groupe ? Les icônes associées ne seront plus affectés à aucun groupe',
		'PLAN_DEL_ICON_INFO' => 'Etes-vous sûr de vouloir supprimer cette icône ?',
		'PLAN_UNABLE_DEL_ICON_INFO' => 'Impossible de supprimer cette icone car elle est présente sur le(s) plan(s) suivant(s) :',
		'PLAN_UPD_ICON_SUCESS' => 'Icône modifiée avec succès',
		'PLAN_DISPLAY_RESSOURCES' => 'Afficher les ressources',
		'PLAN_ZONE' => 'Zone',
		'PLAN_UPDATE_ZONE' => 'Zone mise à jour avec succès',
		'PLAN_LINKED_PLAN' => 'Plan lié',
    	'PLAN_UPDATED_SUCCESS' => 'Plan mis à jour avec succès',
		'PLAN_CREATE_ZONE' => 'Créer une zone',
		'PLAN_HELP_ZONE' => 'Cliquez sur le plan et définissez les bords de votre nouvelle zone',
		'PLAN_DELETE_ZONE_SUCCESS' => 'Zone supprimée avec succès',
		'PLAN_CHANGE_LINK_ORDER'=>'Inverser le sens des liens',
		'PLAN_OBJECT_NAME' => 'Nom de l\'objet',
		'PLAN_WARNING_LINKED' => 'Attention, ce plan est référencé dans les objets (plans) suivants :',
		'PLAN_REFRESH_EVERY' => 'Rafraîchissement toutes les',
		'PLAN_REFRESH_HELP' => '0 = pas de rafraîchissement',
		'PLAN_OBJ_DELETED' => 'Objet supprimé avec succès',
		'PLAN_ONE_SERVICE_BY_LINK' => 'Créer un lien par service',
        'PLAN_READ_USER_SHARE' => 'Partager en lecture',
        'PLAN_WRITE_USER_SHARE' => 'Partager en lecture & écriture',
        'PLAN_NO_FOUND'=> 'Ce plan est inexistant',
		'PLAN_USER_PERMS_DENIED'=> 'Action non autorisée: Permission refusée',
        'PLAN_FOLDER'=> 'Dossier ',
        'PLAN_FOLDERNAME'=> 'Nom du dossier ',
        'PLAN_FOLDER_CREATE'=> 'Créer un dossier',
        'PLAN_FOLDER_CREATE_SUCCESS'=> 'Dossier créé avec succès',
        'PLAN_FOLDER_UPDATE'=> 'Modifier le dossier courant',
        'PLAN_FOLDER_UPDATE_SUCCESS'=> 'Dossier modifié avec succès',
		'PLAN_FOLDER_UPDATE_FAILED'=> 'Le dossier n\'a pas pu être modifié',
		'PLAN_FOLDER_DELETE'=> 'Supprimer le dossier courant',
		'PLAN_FOLDER_DELETE_WARN'=> 'Vous êtes sur le point de supprimer le dossier &laquo; %s &raquo; pour tous les utilisateurs.',
		'PLAN_FOLDER_DELETE_CONTENT_CHOICE'=> 'Que souhaitez-vous faire du contenu de ce dossier&nbsp;?',
		'PLAN_FOLDER_DELETE_CONTENT_DELETE'=> 'Supprimer le dossier et tout son contenu',
		'PLAN_FOLDER_DELETE_CONTENT_ROOT'=> 'Supprimer le dossier mais copier son contenu dans le répertoire Racine',
        'PLAN_FOLDER_DELETE_SUCCESS'=> 'Dossier supprimé avec succès',
		'PLAN_FOLDER_DELETE_FAILED'=> 'Le dossier n\'a pas pu être supprimé',
        'PLAN_FOLDER_PARENT'=> 'Dossier parent',
        'PLAN_FOLDER_PRIVILEGE'=> 'Modifier les privilèges d\'accès au répertoire',
        'PLAN_NAME'=> 'Nom du plan',
        'PLAN_TYPE'=> 'Type de plan',
        'DASHBOARD_WIDGET_GROUP_PLAN'=>'Plan',
		'PLAN_TYPE_FOLDER'=> 'Dossier',
		'PLAN_TYPE_IMAGE'=> 'Plan image',
		'PLAN_TYPE_RACK'=> 'Plan rack',
		'PLAN_TYPE_GOOGLEMAP'=> 'Plan carte',
		'PLAN_TYPE_UNKNOWN'=> 'Plan',
		'PLAN_FOLDER_ROOT'=> 'Racine',
		'PLAN_MOVE_SUCCESS'=> ' a été déplacé avec succès',
		'PLAN_MOVE_FAILED_ITEM_RIGHTS'=> 'Vous ne pouvez pas déplacé %s car vous n\'avez pas les droits d\'écriture sur celui-ci.',
		'PLAN_MOVE_FAILED_TARGET_RIGHTS'=> 'Vous n\'avez pas les droits d\'écriture sur le dossier cible.',
		'PLAN_MOVE_INFO'=> 'Glisser-Déposer&nbsp;: Pour déplacer des dossiers ou des plans par Glisser-Déposer, votre compte utilisateur doit avoir le droit &laquo;map_administration&raquo; ainsi que les droits d\'écriture sur l\'élément à déplacé et sur le dossier cible.',
		'PLAN_CLONE' => 'Dupliquer',
		'PLAN_PREVIEW'=> 'Aperçu',
		'PLAN_STYLES'=> 'Styles',
		'PLAN_STYLES_FONT_SIZE'=> 'Taille de la police',
		'PLAN_STYLES_FONT_COLOR'=> 'Couleur de la police',
		'PLAN_STYLES_BG_COLOR'=> 'Couleur d\'arrière plan',
		'PLAN_STYLES_BG_OPACITY'=> 'Opacité d\'arrière plan',
		'PLAN_STYLES_BORDER_COLOR'=> 'Couleur de la bordure',
		'PLAN_STYLES_BORDER_WIDTH'=> 'Épaisseur de la bordure',
		'PLAN_STYLES_BORDER_RADIUS'=> 'Angles de la boite',
		'PLAN_STYLES_PADDING'=> 'Espacement entre texte et bord',
		'PLAN_LINK_FIELDS'=> 'Uniformiser les paramètres',
		'PLAN_UNLINK_FIELDS'=> 'Affiner les paramètres',
		'PLAN_TOOLS' => 'Outils',
		'PLAN_TOOLS_TEXT'=> 'Texte',
		'PLAN_TOOLS_TEXT_CONF'=> 'Paramètres du texte',
		'PLAN_TOOLS_TEXT_PLACEHOLDER'=> 'Entrez votre texte',
		'PLAN_TOOLS_SERVICE'=> 'Valeur de service',
		'PLAN_TOOLS_OBJECT_DELETE_FAILED'=> 'L\'élément n\'a pas pu être supprimer',
        'PLAN_NOT_GET_STATE'=> 'Ne pas récupérer le statut',
));

?>
