function iconsMenu()
{
    // On cache les sous-menus :
    $(".navigation ul.subMenu").hide();

    //On ouvre le premier volet
    $(".navigation li.toggleSubMenu:first-child ul.subMenu").slideDown("normal", function () { $(".navigation li.toggleSubMenu:first-child ul.subMenu").parent().addClass("open") });

    // On sélectionne tous les items de liste portant la classe "toggleSubMenu"
    // et on remplace l'élément span qu'ils contiennent par un lien :
    $(".navigation li.toggleSubMenu span").each( function () {
        $(this).replaceWith('<a href="">' + $(this).text() + '<\/a>') ;
    } ) ;

    // On modifie l'évènement "click" sur les liens dans les items de liste
    // qui portent la classe "toggleSubMenu" :
    $(".navigation li.toggleSubMenu > a").click( function () {
        // Si le sous-menu était déjà ouvert, on le referme :
        if ($(this).next("ul.subMenu:visible").length != 0) {
            $(this).next("ul.subMenu").slideUp("normal", function () { $(this).parent().removeClass("open") });
        }
        // Si le sous-menu est caché, on ferme les autres et on l'affiche :
        else {
            $(".navigation ul.subMenu").slideUp("normal", function () { $(this).parent().removeClass("open") });
            $(this).next("ul.subMenu").slideDown("normal", function () { $(this).parent().addClass("open") });
        }
        // On empêche le navigateur de suivre le lien :
        return false;
    });
}

function clickIcn (newimg)
{
	var id = $("#iconObj").val();

	//Si on clique sur une autre image que celle peut-être déjà selectionnée
	if(newimg != id)
	{
		$('#icon-'+id+' img').css("border","4px solid #f3f3f3");
		$('#icon-'+newimg+' img').css("border","4px solid #83bb26");
		$("#iconObj").val(newimg);
		if($('#icon-'+newimg).data("group") == 'ESIA')
		{
			$("#modifyIcon").prop('disabled', true);
			$("#deleteIcon").prop('disabled', true);
			$("#modifyIcon").attr("title",lang['PLAN_ESIA_ICON_INFO']);
			$("#deleteIcon").attr("title",lang['PLAN_ESIA_ICON_INFO']);
		}
		else
		{
			$("#modifyIcon").prop('disabled', false);
			$("#deleteIcon").prop('disabled', false);
			$("#modifyIcon").attr("title",lang['MODIF']);
			$("#deleteIcon").attr("title",lang['DELETE']);
		}
		$("#actionIcons").show();
	}
	else //Sinon, enlevé le bord vert et masquer les actions faisables sur les icônes
	{
		$('#icon-'+newimg+' img').css("border","4px solid #f3f3f3");
		$("#iconObj").val("");
		$("#actionIcons").hide();
	}
}

function fileEvents ()
{
	$("#logofile").change(function(e) {
		$(this).parent().css("border","4px solid #83bc00");
	});

	$("#logo_ok").change(function(e) {
		$(this).parent().css("border","4px solid #83bc00");
	});
	$("#logo_warning").change(function(e) {
		$(this).parent().css("border","4px solid #83bc00");
	});
	$("#logo_critical").change(function(e) {
		$(this).parent().css("border","4px solid #83bc00");
	});
	$("#logo_unknown").change(function(e) {
		$(this).parent().css("border","4px solid #83bc00");
	});
}

function verifyRequired4Logos (event)
{
	$('#form4logos').submit(function(event){
		if($('#logo_ok').get(0).files.length === 0)
		{
			$('#logo_ok').parent().css("border","4px solid #da002e");
			event.preventDefault();
		}
		if($('#logo_warning').get(0).files.length === 0)
		{
			$('#logo_warning').parent().css("border","4px solid #da002e");
			event.preventDefault();
		}
		if($('#logo_critical').get(0).files.length === 0)
		{
			$('#logo_critical').parent().css("border","4px solid #da002e");
			event.preventDefault();
		}
		if($('#logo_unknown').get(0).files.length === 0)
		{
			$('#logo_unknown').parent().css("border","4px solid #da002e");
			event.preventDefault();
		}

		//Vérifier que le select possède une valeur
		if(!$("#icon_group_select2").val()) //Pas de valeur selectionnée
		{
			$('#icon_group_select2_chosen').css("border","1px solid #da002e");
			event.preventDefault();
		}
		else $('#icon_group_select2_chosen').css("border","none");
	});
}

function verifyRequired1Logo (event)
{
	$('#form1logo').submit(function(event){
		if($('#logofile').get(0).files.length === 0)
		{
			$('#logofile').parent().css("border","4px solid #da002e");
			event.preventDefault();
		}

		//Vérifier que le select possède une valeur
		if(!$("#icon_group_select").val()) //Pas de valeur selectionnée
		{
			$('#icon_group_select_chosen').css("border","1px solid #da002e");
			event.preventDefault();
		}
		else $('#icon_group_select_chosen').css("border","none");
	});
}

function setDialogGroup()
{
	var dialogGroup = $("#dialog-confirm-group");
	var ok_btn = dialogGroup.data('ok-btn');
	var cancel_btn = dialogGroup.data('cancel-btn');
	dialogGroup.dialog({
	 	autoOpen: false,
        resizable: false,
        height: "auto",
        width: 400,
        modal: true,
        buttons: [
			{
				text: ok_btn,
				click : function(){
					$.get("/plugin/plan/controllers/icon_admin.php?action=delGroup&id="+dialogGroup.data("group_id"));
                    $(this).dialog("close");
                    location.reload();
				},
			},
			{
				text : cancel_btn,
				click : function(){
					$(this).dialog("close");
				}
			}
        ]
 	});
}

function show_confirm_and_remove_group(group_id){
	var dialogGroup = $( "#dialog-confirm-group" );
	dialogGroup.data("group_id",group_id);
	dialogGroup.dialog( "open" );
}

function setDialogIcon()
{
	var dialogIconConfirm = $("#dialog-confirm-icon");
	var ok_btn = dialogIconConfirm.data('ok-btn');
	var cancel_btn = dialogIconConfirm.data('cancel-btn');
	dialogIconConfirm.dialog({
	 	autoOpen: false,
        resizable: false,
        height: "auto",
        width: 400,
        modal: true,
        buttons: [
			{
				text: ok_btn,
				click : function(){
					$.get("/plugin/plan/controllers/icon_admin.php?action=delIcon&id="+dialogIconConfirm.data("icon_id"));
                    $(this).dialog("close");
                    location.reload();
				},
			},
			{
				text : cancel_btn,
				click : function(){
					$(this).dialog("close");
				}
			}
        ]
 	});

	var dialogIconUnable = $("#dialog-unable-icon");
	var ok_btn = dialogIconUnable.data('ok-btn');
	dialogIconUnable.dialog({
	 	autoOpen: false,
        resizable: false,
        height: "auto",
        width: 400,
        modal: true,
        buttons: [
			{
				text : ok_btn,
				click : function(){
					$(this).dialog("close");
				}
			}
        ]
 	});
}

function show_confirm_and_remove_icon(){
	if($("#iconObj").val())
	{
		id = $("#iconObj").val();
		//On vérifie que l'icône n'est pas présent sur un plan
		$.getJSON("/plugin/plan/controllers/icon_admin.php?action=delIconInfo&id="+id, function( data ) {
			if(data.length!=0) //présent sur au moins un plan
			{
				var dialogIcon = $( "#dialog-unable-icon" );
				$( "#dialog-unable-icon p" ).text($( "#dialog-unable-icon p" ).text()+" "+data);
				dialogIcon.dialog( "open" );
			}
			else //On peut supprimer
			{
				var dialogIconConfirm = $( "#dialog-confirm-icon" );
				dialogIconConfirm.data("icon_id",id);
				dialogIconConfirm.dialog( "open" );
			}
		});
	}
}

function show_update_icon()
{
	if($("#iconObj").val())
	{
		id = $("#iconObj").val();
		Adm.openDialog('/plugin/plan/controllers/icon_admin.php?action=updIcon&id='+id);
	}
}
