<?php
//Fichiers principaux
$path = $_SERVER['DOCUMENT_ROOT'];
$ESIA_WIDGET_NOTREE=TRUE;
include_once $path.'common.php';
$arr = Model_esia::getWebPlugin($dbconnection,false,'WEBP_PLAN');
$plugin_url = $arr[0]['apache_path'];
include_once $path.'/'.$plugin_url.'Model_plan.php';
//vérification des accès
$user = new User($dbconnection);
$user->sessionIDisValid();
if( $user->getDroits($dbconnection,"map_view") == 1 )
{
//Mise en place des préférence de l'utilisateur (CSS)
//initialisation de l'objet smarty
$smarty = new Smarty();
if(isset($user) )
{
	if($user->getTheme()!="")
	{
		$th=1;
		$smarty->template_dir = $path.'/theme/'.$user->getTheme().'/template/';
		$smarty->compile_dir = $path.'/theme/'.$user->getTheme().'/templates_c/';
		$smarty->config_dir = $path.'/configs/';
		$smarty->cache_dir = $path.'/cache/';
		$smarty->assign('css', '/theme/'.$user->getTheme().'/design.css');
		include_once $path.'/theme/'.$user->getTheme().'/icons.php';
	}
}
if($th==0)
{
	//configuration moteur template
	$theme = Model_esia::getApplicationTheme($dbconnection);
	$smarty->template_dir = $path.'/theme/'.$theme.'/template/';
	$smarty->compile_dir = $path.'/theme/'.$theme.'/templates_c/';
	$smarty->config_dir = $path.'/configs/';
	$smarty->cache_dir = $path.'/cache/';
	$smarty->assign('css', '/theme/'.$theme.'/design.css');
	include_once $path.'/theme/'.$theme.'/icons.php';
}
//mise en place des fichier de langue
if($user->getLang()!="")
{
	//configuration de la langue de l'application
	include $path.'/lang/'.$user->getLang().'/'.$user->getLang().'.php';
	include $path.'/lang/'.$user->getLang().'/common_plugin_name.php';
	include $path.'/lang/'.$user->getLang().'/message.php';
    include $path.'/'.$plugin_url.'/lang/'.$user->getLang().'.php';
}
else
{
	include $path.'/lang/'.LANG.'/'.LANG.'.php';
	include $path.'/lang/'.LANG.'/common_plugin_name.php';
	include $path.'/lang/'.LANG.'/message.php';
    include $path.'/'.$plugin_url.'/lang/'.LANG.'.php';
}
$smarty->assign('lang', $lang);
if(isset($_GET['action']))
{
    $action=$_GET['action'];
}
else
{
    $action='menu';
}
$user_have_admin_perm = ($user->getDroits($dbconnection,"map_administration") == 1 );
$smarty->assign('plan_admin_perm',$user_have_admin_perm);

$smarty->assign('webp_plan_name', $arr[0]['name']);
if($action=='folder' && !empty($_GET['id']))
{
    $plans = model_plan::getPlan($dbconnection,null,$user->getId());
    $folders=array();
    $json=array();
    $planinfolderID=array();
    foreach($plans as $plan)
    {
        if(!empty($plan['folders']) && $plan['folders']==$_GET['id'])
        {
            if($plan['name'] !='.ACCESS')
            {
                $planinfolderID[]=array('id'=>$plan['id'] ,'name'=>$plan['name'] ,'url'=>$plugin_url.$plan['type_controller'].'&id='.$plan['id'] ,'type'=>'plan');
            }
        }
        elseif(!empty($plan['folders']) && !in_array($plan['folders'],$folders))
        {
                $folders[]=$plan['folders'];
        }
    }
	$folders=model_plan::getFolders($dbconnection,$folders);
    foreach($folders as $fold)
    {
        if($fold['parent'] ==  $_GET['id'])
        {
            $json[]=array('id'=>$fold['id'] ,'name'=>$fold['name'] ,'url'=>$plugin_url.'controllers/folder_control.php?id='.$fold['id'] ,'type'=>'folder');
        }
    }
    $json=array_merge($json,$planinfolderID);
    echo json_encode($json);
}
elseif($action=='plans')
{
    $plans = model_plan::getPlan($dbconnection,null,$user->getId());
    $folders=array();
    $json=array();
    $plannotinfolder=array();
    foreach($plans as $plan)
    {
        if(empty($plan['folders']))
        {
            $plannotinfolder[]=array('id'=>$plan['id'] ,'name'=>$plan['name'] ,'url'=>$plugin_url.$plan['type_controller'].'&id='.$plan['id'] ,'type'=>'plan');
        }
        elseif(!in_array($plan['folders'],$folders))
        {
            $folders[]=$plan['folders'];
        }
    }
	$folders=model_plan::getFolders($dbconnection,$folders);
    //print_r($folders);
    foreach($folders as $fold)
    {
        if(empty($fold['parent']))
        {
            $json[]=array('id'=>$fold['id'] ,'name'=>$fold['name'] ,'url'=>$plugin_url.'controllers/folder_control.php?id='.$fold['id'] ,'type'=>'folder');
        }
        else
        {
            break;
        }
    }
    $json=array_merge($json,$plannotinfolder);
    echo json_encode($json);
}
else
{
    $smarty->display($_SERVER['DOCUMENT_ROOT'].$plugin_url.'templates/plan_menu.html');
}
}
?>
